import App from './App'
import uviewPlus, {
	setConfig
} from "@/uni_modules/uview-plus";
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.config.compilerOptions.isCustomElement = tag =>
	tag.startsWith('wx-open-launch-app')
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)

	app.use(uviewPlus, () => {
		return {
			options: {
				// 修改$u.config对象的属性
				config: {
					// 修改默认单位为rpx，相当于执行 uni.$u.config.unit = 'rpx'
					unit: "rpx",
					// customIcon: {
					// family: 'iconfont',
					// url: '//at.alicdn.com/t/c/font_4946742_e8oa3t01rkk.css'
					// }
				},
			},
		};
	});
	return {
		app
	}
}
// #endif